Package com.pixelmed.displaywave

# Class DicomSourceECG

java.lang.Object
com.pixelmed.displaywave.SourceECG
com.pixelmed.displaywave.DicomSourceECG

public class DicomSourceECG extends SourceECG

A class that encapsulates the features and values from a DICOM ECG source, usually for the purpose of displaying it.

## Field Summary

### Fields inherited from class com.pixelmed.displaywave.SourceECG

`amplitudeScalingFactorInMilliVolts, channelNames, displaySequence, nSamplesPerChannel, numberOfChannels, samples, samplingIntervalInMilliSeconds, title`

## Constructor Summary

Constructors
Constructor
Description
`DicomSourceECG(AttributeList list)`
Construct ECG from a DICOM waveform object from a list of DICOM attributes.
`DicomSourceECG(BinaryInputStream i)`
Construct ECG from a DICOM waveform object from an input stream (such as from a file or the network).
`DicomSourceECG(DicomInputStream i)`
Construct ECG from a DICOM waveform object from an input stream (such as from a file or the network).

## Method Summary

### Methods inherited from class com.pixelmed.displaywave.SourceECG

`buildInstanceTitle, buildPreferredDisplaySequence, buildPreferredDisplaySequence, findLead, getAmplitudeScalingFactorInMilliVolts, getChannelNames, getDisplaySequence, getNumberOfChannels, getNumberOfSamplesPerChannel, getSamples, getSamplingIntervalInMilliSeconds, getTitle`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DicomSourceECG

public DicomSourceECG(BinaryInputStream i) throws IOException, DicomException

Construct ECG from a DICOM waveform object from an input stream (such as from a file or the network).

Parameters:
  `i` - the input stream
Throws:
  `IOException`
  `DicomException`

### DicomSourceECG

public DicomSourceECG(DicomInputStream i) throws IOException, DicomException

Construct ECG from a DICOM waveform object from an input stream (such as from a file or the network).

Parameters:
  `i` - the input stream
Throws:
  `IOException`
  `DicomException`

### DicomSourceECG

public DicomSourceECG(AttributeList list) throws DicomException

Construct ECG from a DICOM waveform object from a list of DICOM attributes.

Parameters:
  `list` - the list of attributes that include the description and values of the ECG data
Throws:
  `DicomException`